# Struct ethcore::verification::queue::QueueInfo [−] [src]

    pub struct QueueInfo {
        pub unverified_queue_size: usize,
        pub verified_queue_size: usize,
        pub verifying_queue_size: usize,
        pub max_queue_size: usize,
        pub max_mem_use: usize,
        pub mem_used: usize,
    }

Verification queue status

## Fields

`unverified_queue_size: usize`

Number of queued items pending verification

`verified_queue_size: usize`

Number of verified queued items pending import

`verifying_queue_size: usize`

Number of items being verified

`max_queue_size: usize`

Configured maximum number of items in the queue

`max_mem_use: usize`

Configured maximum number of bytes to use

`mem_used: usize`

Heap memory used in bytes

## Methods

### `impl VerificationQueueInfo`
[src]

#### `fn total_queue_size(&self) -> usize`

The total size of the queues.

#### `fn incomplete_queue_size(&self) -> usize`

The size of the unverified and verifying queues.

#### `fn is_full(&self) -> bool`

Indicates that queue is full

#### `fn is_empty(&self) -> bool`

Indicates that queue is empty

## Trait Implementations

### `impl Debug for VerificationQueueInfo`
[src]

#### `fn fmt(&self, __arg_0: &mut Formatter) -> Result`

Formats the value using the given formatter.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)